Package com.xebialabs.xlrelease.domain.events

# Class LinkCreatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.LinkCreatedEvent

All Implemented Interfaces:
  `LinkEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class LinkCreatedEvent extends Object implements LinkEvent, scala.Product, Serializable
Event published when a link is created. param: link the created link.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkCreatedEvent(Link link)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LinkCreatedEvent`
  `apply(Link link)`
  `boolean`
  `canEqual(Object x$1)`
  `LinkCreatedEvent`
  `copy(Link link)`
  `Link`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `Link`
  `link()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`
  `static scala.Option<Link>`
  `unapply(LinkCreatedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

  ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

  `timeMs, timestamp`

- ## Constructor Details

  - ### LinkCreatedEvent

    public LinkCreatedEvent(Link link)

- ## Method Details

  - ### apply

    public static LinkCreatedEvent apply(Link link)

  - ### unapply

    public static scala.Option<Link> unapply(LinkCreatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### link

    public Link link()

  - ### copy

    public LinkCreatedEvent copy(Link link)

  - ### copy$default$1

    public Link copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`